View Issue Details

IDProjectCategoryView StatusLast Update
0019724LazarusOtherpublic2011-09-01 04:27
ReporterFlávio Etrusco (notifications not working)Assigned ToMartin Friebe 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0019724: Make SynEdit ecUnindent command unindent the current line if there's no selection
DescriptionMake SynEdit ecUnindent command unindent the current line if there's no selection.
TagsNo tags attached.
Fixed in Revision32050
LazTarget0.99.0
Widgetset
Attached Files

Activities

Martin Friebe

2011-08-25 13:09

manager   ~0051105

Please test and close if ok
Thanks! There's only one thing missing though:

(At line 6407)
      ecShiftTab:
        if not ReadOnly then
          {$IFDEF SYN_LAZARUS}
          if SelAvail and (eoTabIndent in Options) then
            DoBlockUnindent
          {$ENDIF};

Martin Friebe

2011-08-25 17:30

manager   ~0051117

Last edited: 2011-08-25 17:30

This was left out by intention.

The Tab key has already a behaviour for all cases. (even with eoTabIndent / it is supposed to have the "smart" behaviour)

The ctrl-i / crtl-u (explicit intend) did nothing, if no selection was there. So to add behaviour for this, did not cause any conflict.

If you want the tab key to act always, do not use eoTabIndent.
Please change the keymapping, so that tab/shift tab are assigned to the indent/unindent command.

Does this solve the issue?

Ok, it does. But FWIW I don't fully understand what you mean. If eoTabIndent is enabled (my case) and there's no selection, Shift+Tab does nothing. I can't imagine any situation where removing that check for 'SelAvail' would cause any annoyance...

Martin Friebe

2011-08-25 20:10

manager   ~0051129

Ah, yes you are right: shift tab is not in use.

I always looked at tab and shift tab as a pair only.

Anyway the functionality is available. IMHO (and maybe it is just my personal sense of aesthetics) it is better to keep the eoTabIndent functionality equal for shift-tab and tab.
Or maybe if shift tab works, people will wonder why tab does not work.
Martin, a small remaining issue: ecUnindent doesn't work if the caret is at BOL.

Martin Friebe

2011-09-01 02:26

manager   ~0051344

please test r 32139
That was quick! :-) Thanks!
Just as a side-note in case it was unintentional, the revision also added a 'SynDefaultFontSize' constant.

Issue History

Date Modified Username Field Change
2011-07-13 09:02 Flávio Etrusco (notifications not working) New Issue
2011-07-13 09:02 Flávio Etrusco (notifications not working) LazTarget => -
2011-07-13 12:34 Martin Friebe Status new => assigned
2011-07-13 12:34 Martin Friebe Assigned To => Martin Friebe
2011-08-25 13:09 Martin Friebe Fixed in Revision => 32050
2011-08-25 13:09 Martin Friebe LazTarget - => 0.99.0
2011-08-25 13:09 Martin Friebe Status assigned => resolved
2011-08-25 13:09 Martin Friebe Fixed in Version => 0.9.31 (SVN)
2011-08-25 13:09 Martin Friebe Resolution open => fixed
2011-08-25 13:09 Martin Friebe Note Added: 0051105
2011-08-25 13:09 Martin Friebe Target Version => 0.99.0
2011-08-25 16:21 Flávio Etrusco (notifications not working) Status resolved => assigned
2011-08-25 16:21 Flávio Etrusco (notifications not working) Resolution fixed => reopened
2011-08-25 16:21 Flávio Etrusco (notifications not working) Note Added: 0051115
2011-08-25 17:30 Martin Friebe Note Added: 0051117
2011-08-25 17:30 Martin Friebe Status assigned => feedback
2011-08-25 17:30 Martin Friebe Note Edited: 0051117
2011-08-25 19:49 Flávio Etrusco (notifications not working) Note Added: 0051125
2011-08-25 20:10 Martin Friebe Note Added: 0051129
2011-08-25 20:10 Martin Friebe Status feedback => resolved
2011-08-25 20:10 Martin Friebe Resolution reopened => fixed
2011-09-01 00:08 Flávio Etrusco (notifications not working) Status resolved => assigned
2011-09-01 00:08 Flávio Etrusco (notifications not working) Resolution fixed => reopened
2011-09-01 00:08 Flávio Etrusco (notifications not working) Note Added: 0051342
2011-09-01 02:26 Martin Friebe Status assigned => resolved
2011-09-01 02:26 Martin Friebe Resolution reopened => fixed
2011-09-01 02:26 Martin Friebe Note Added: 0051344
2011-09-01 04:27 Flávio Etrusco (notifications not working) Note Added: 0051345